org.eclipse.jetty.plus.jaas

## Class JAASGroup

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.JAASGroup

All Implemented Interfaces:
  Group, Principal

    public class JAASGroup
    extends Object
    implements Group

### Field Summary

Fields
`static String` `ROLES`

### Constructor Summary

Constructors
Constructor and Description
`JAASGroup(String n)`

### Method Summary

Methods
`boolean` `addMember(Principal principal)`
`boolean` `equals(Object object)`
`String` `getName()`
`int` `hashCode()`
`boolean` `isMember(Principal principal)`
`Enumeration<? extends Principal>` `members()`
`boolean` `removeMember(Principal principal)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ROLES

    public static final String ROLES

See Also:
  Constant Field Values

### Constructor Detail

#### JAASGroup

    public JAASGroup(String n)

### Method Detail

#### addMember

    public boolean addMember(Principal principal)

Specified by:
  `addMember` in interface `Group`
Parameters:
  `principal` - <description>
Returns:
  <description>

#### removeMember

    public boolean removeMember(Principal principal)

Specified by:
  `removeMember` in interface `Group`
Parameters:
  `principal` - <description>
Returns:
  <description>

#### isMember

    public boolean isMember(Principal principal)

Specified by:
  `isMember` in interface `Group`
Parameters:
  `principal` - <description>
Returns:
  <description>

#### members

    public Enumeration<? extends Principal> members()

Specified by:
  `members` in interface `Group`
Returns:
  <description>

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`
Returns:
  <description>

#### equals

    public boolean equals(Object object)

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`
Parameters:
  `object` - <description>
Returns:
  <description>

#### toString

    public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`
Returns:
  <description>

#### getName

    public String getName()

Specified by:
  `getName` in interface `Principal`
Returns:
  <description>